[% UNLESS noselect %]
    <select name="[% input_name | html_entity %]"[%
        tree_classes
            ? ' class="' _ tree_classes.join(' ') _ '"'
            : ''
        %]>
[% END %]
[% IF !depth && !no_global %]
<option value=""></option>
[% END %]
[% FOREACH entry IN entries %]
    [% show = 1 %]
    <option value="[% entry.id | html_entity %]"[%
        (input_selected && input_selected == entry.id
            ? 'selected="selected"'
            : ''
    ) %]>
    [% IF depth %]
        [% '&nbsp;&nbsp;' | repeat(depth) %]
    [% ELSE %]
        [% depth=0 %]
    [% END %]
        [% entry.name | html_entity %]
    </option>

    [% IF entry.children.size %]
        [% INCLUDE widgets/general/ldap_ou_tree.tt
            noselect=1
            input_name=input_name
            entries=entry.children
            depth=(show ? (depth+1) : depth)
            value_as_id=value_as_id
            no_global=1
        %]
    [% END %]
[% END %]

[% UNLESS noselect %]
    </select>
[% END %]
